import { CosmWasmClient } from "@cosmjs/cosmwasm-stargate";
import { Balances, ChainName, Network, PlatformToChains, SignedTx, TokenId, TxHash } from "@wormhole-foundation/connect-sdk";
import { CosmwasmPlatform } from "./platform";
import { AnyCosmwasmAddress } from "./types";
/**
 * @category CosmWasm
 */
export declare module CosmwasmUtils {
    function nativeTokenId(chain: ChainName): TokenId;
    function isSupportedChain(chain: ChainName): boolean;
    function isNativeTokenId(chain: ChainName, tokenId: TokenId): boolean;
    function getDecimals(chain: ChainName, rpc: CosmWasmClient, token: AnyCosmwasmAddress | "native"): Promise<bigint>;
    function getBalance(chain: ChainName, rpc: CosmWasmClient, walletAddress: string, token: AnyCosmwasmAddress | "native"): Promise<bigint | null>;
    function getBalances(chain: ChainName, rpc: CosmWasmClient, walletAddress: string, tokens: (AnyCosmwasmAddress | "native")[]): Promise<Balances>;
    function getNativeDenom(chain: ChainName): string;
    function isNativeDenom(chain: ChainName, denom: string): boolean;
    function sendWait(chain: ChainName, rpc: CosmWasmClient, stxns: SignedTx[]): Promise<TxHash[]>;
    function getCurrentBlock(rpc: CosmWasmClient): Promise<number>;
    function chainFromChainId(chainMoniker: string): [Network, PlatformToChains<CosmwasmPlatform.Type>];
    function chainFromRpc(rpc: CosmWasmClient): Promise<[Network, PlatformToChains<CosmwasmPlatform.Type>]>;
    function getCounterpartyChannel(sourceChannel: string, rpc: CosmWasmClient): Promise<string | null>;
}
//# sourceMappingURL=platformUtils.d.ts.map